Name:           perl-Net-SSLGlue
Version:        1.058
Release:    1%{?dist}
Summary:        Add/extend SSL support for common perl modules
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Net-SSLGlue
Source0:        https://cpan.metacpan.org/authors/id/S/SU/SULLR/Net-SSLGlue-%{version}.tar.gz

Patch0:         perl-Net-SSLGlue-test.patch

BuildArch:      noarch
BuildRequires: make
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(IO::Socket::SSL) >= 1.19
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(Net::LDAP)
BuildRequires:  perl(Net::SMTP)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

Requires:       perl(LWP::UserAgent) >= 6.06
Requires:       perl(LWP::Protocol::https) >= 6.06
Requires:       perl(Net::FTP)
Requires:       perl(Net::FTP::dataconn)


%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(IO::Socket::SSL\\)$
%global __requires_exclude %__requires_exclude|^perl\\(LWP::UserAgent\\)$


%description
Some commonly used perl modules don't have SSL support at all, even if the
protocol would support it. Others have SSL support, but most of them don't
do proper checking of the servers certificate.

The Net::SSLGlue::* modules try to add SSL support or proper certificate to
these modules. Currently is support for the following modules available:

- Net::SMTP - add SSL from beginning or using STARTTLS
- Net::LDAP - add proper certificate checking
- LWP - add proper certificate checking 


%prep
%setup -q -n Net-SSLGlue-%{version}
%patch0 -p0


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc README Changes examples
%license COPYRIGHT
%{perl_vendorlib}/Net
%{_mandir}/man3/Net*


%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.058-1
- initial build
